Name:			supernovas-doc
Version:		1.0.1
Release:		1%{?dist}
Summary:		Documentation for the SuperNOVAS C/C++ astronomy library
BuildArch:		noarch
Group:			Development/Libraries
License:		Unlicense
URL:			https://smithsonian.github.io/SuperNOVAS/
Source0:		https://github.com/Smithsonian/SuperNOVAS/archive/refs/tags/v%{version}.tar.gz
BuildRequires:		gcc
BuildRequires:		sed
BuildRequires:		doxygen >= 1.10.0



%description

This package provides HTML documentation for the SuperNOVAS C/C++ astronomy 
library.

SuperNOVAS is a C/C++ astronomy software library, providing high-precision 
astronomical calculations such as one might need for running an observatory or 
a precise planetarium program. It is a fork of the Naval Observatory Vector 
Astrometry Software (NOVAS) C version 3.1, providing bug fixes and making it 
easier to use overall.

The main goal of SuperNOVAS is to improve usability, add new features, promote 
best practices, and provide accessible documentation -- all while retaining 
100% API compatibility with NOVAS C 3.1. Thus, if you have written code for 
NOVAS C 3.1, it should readily work with SuperNOVAS also.

SuperNOVAS is entirely free to use without licensing restrictions. Its source 
code is compatible with the C90 standard, and hence should be suitable for old 
and new platforms alike. It is light-weight and easy to use, with full support 
for the IAU 2000/2006 standards for sub-micro-arc-second position calculations.


%prep
%setup -q -n SuperNOVAS-%{version}


%build
make %{?_smp_mflags} dox


%install
rm -rf %{buildroot}

# HTML documentation
mkdir -p %{buildroot}/%{_datadir}/supernovas/doc/search
install -m 644 -D apidoc/html/search/* %{buildroot}/%{_datadir}/supernovas/doc/search/
rm -rf apidoc/html/search
install -m 644 -D apidoc/html/* %{buildroot}/%{_datadir}/supernovas/doc/
install -m 644 apidoc/novas.tag %{buildroot}/%{_datadir}/supernovas/novas.tag

# UNIX man pages
mkdir -p %{buildroot}/%{_mandir}/man3
install -m 644 -D apidoc/man/man3/* %{buildroot}/%{_mandir}/man3/


%files
%license LICENSE
%doc %{_datadir}/supernovas
%doc %{_mandir}/man3/*

%changelog
%autochangelog

